Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.domain.impl
Class ValidationDetailImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.domain.impl.ValidationDetailImpl

All Implemented Interfaces:
  ValidationDetail

    public class ValidationDetailImpl

extends java.lang.Object
implements ValidationDetail

Version:
  $Id: ValidationDetailImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ValidationDetailImpl()`

Method Summary
`java.lang.Exception` | `getException()`
`Id` | `getId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getName()`
`java.lang.String` | `getResult()`
`java.lang.Class` | `getValidationClass()`
`void` | `setException(java.lang.Exception exception)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMessage(java.lang.String message)`
`void` | `setName(java.lang.String name)`
`void` | `setResult(java.lang.String state)`
`void` | `setValidationClass(java.lang.Class validationClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationDetailImpl

    public ValidationDetailImpl()

Method Detail

### getId

    public Id getId()

  Specified by:
    `getId` in interface `ValidationDetail`

### setValidationClass

    public void setValidationClass(java.lang.Class validationClass)

### getValidationClass

    public java.lang.Class getValidationClass()

  Specified by:
    `getValidationClass` in interface `ValidationDetail`
  Returns:
    Class - Class of Resource being validated

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ValidationDetail`

### setLabel

    public void setLabel(java.lang.String label)

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `ValidationDetail`

### setResult

    public void setResult(java.lang.String state)

### getResult

    public java.lang.String getResult()

  Specified by:
    `getResult` in interface `ValidationDetail`
  Returns:
    String - such as VALID, VALID_STATIC, VALID_DYNAMIC, ERROR

### setMessage

    public void setMessage(java.lang.String message)

### getMessage

    public java.lang.String getMessage()

  Specified by:
    `getMessage` in interface `ValidationDetail`
  Returns:
    String - holds value if result in non-valid

### setException

    public void setException(java.lang.Exception exception)

### getException

    public java.lang.Exception getException()

  Specified by:
    `getException` in interface `ValidationDetail`
  Returns:
    Exception - potentially holds value if result if non-valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.